Category (Gradle API 5.6.1)
Date: 2019-09-03

Package org.gradle.api.attributes

## Interface Category

- All Superinterfaces:
    `Named`

      @Incubating
      public interface Category
      extends Named

  This attribute describes the categories of variants for a given module.

  Three values are found in published components:

  - `library`: Indicates that the variant is a library, that usually means a binary and a set of dependencies
  - `platform`: Indicates that the variant is a platform, that usually means a definition of dependency constraints
  - `documentation`: Indicates that the variant is documentation of the software module
  One value is used for derivation. A `platform` variant can be consumed as a `enforced-platform` which means all the dependency information it provides is applied as `forced`.
  Since:
    5.3

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Attribute<Category>` | `CATEGORY_ATTRIBUTE` |
    `static String` | `DOCUMENTATION` | The documentation category
    `static String` | `ENFORCED_PLATFORM` | The enforced platform, usually a synthetic variant derived from the `platform`
    `static String` | `LIBRARY` | The library category
    `static String` | `REGULAR_PLATFORM` | The platform category

  - ### Method Summary

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Field Detail

    - #### CATEGORY_ATTRIBUTE

          static final Attribute<Category> CATEGORY_ATTRIBUTE

    - #### LIBRARY

          static final String LIBRARY

      The library category
      See Also:
        Constant Field Values

    - #### REGULAR_PLATFORM

          static final String REGULAR_PLATFORM

      The platform category
      See Also:
        Constant Field Values

    - #### ENFORCED_PLATFORM

          static final String ENFORCED_PLATFORM

      The enforced platform, usually a synthetic variant derived from the `platform`
      See Also:
        Constant Field Values

    - #### DOCUMENTATION

          static final String DOCUMENTATION

      The documentation category
      Since:
        5.6
      See Also:
        Constant Field Values